package com.xzzn.ems.service;

import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.xzzn.ems.domain.EmsStrategyTemp;
import com.xzzn.ems.domain.vo.StrategyTempConfigRequest;

/**
 * 模板Service接口
 *
 * @author xzzn
 * @date 2025-07-11
 */
public interface IEmsStrategyTempService
{
    /**
     * 修改模板
     *
     * @param requestVo 模板
     * @return 结果
     */
    public boolean updateEmsStrategyTemp(StrategyTempConfigRequest requestVo);

    public List<Map<String,String>> getTempNameList(Long strategyId, String siteId);

    // 获取该模板下的时间配置
    public List<EmsStrategyTemp> selectEmsStrategyTempList(String templateId);

    // 新增模板及时间配置
    public boolean addNewTempAndTimeConfig(StrategyTempConfigRequest requestVo);

    //根据templateId删除模板
    public int deleteStrategyTempById(String templateId);

    // 处理同步数据
    public void dealStrategyTempData(String content, String operateType) throws JsonProcessingException;
}
